Skip to main content

Interface: WebSocketFetchConfig

Defined in: packages/core/src/utils/websocket-fetch.ts:82

WebSocket fetch configuration

Properties

baseFetch?

optional baseFetch?: {(input, init?): Promise<Response>; (input, init?): Promise<Response>; }

Defined in: packages/core/src/utils/websocket-fetch.ts:90

Base fetch to use for non-WebSocket requests (default: globalThis.fetch)

Call Signature

(input, init?): Promise<Response>

MDN Reference

Parameters
input

RequestInfo | URL

init?

RequestInit

Returns

Promise<Response>

Call Signature

(input, init?): Promise<Response>

MDN Reference

Parameters
input

string | Request | URL

init?

RequestInit

Returns

Promise<Response>


connectionUrl

connectionUrl: string

Defined in: packages/core/src/utils/websocket-fetch.ts:84

WebSocket connection URL


events?

optional events?: Record<string, (data) => void>

Defined in: packages/core/src/utils/websocket-fetch.ts:86

Optional event handlers for WebSocket messages


headers?

optional headers?: Record<string, string>

Defined in: packages/core/src/utils/websocket-fetch.ts:92

Optional headers to include in WebSocket connection (added as query params or subprotocol)


reconnect?

optional reconnect?: ReconnectConfig

Defined in: packages/core/src/utils/websocket-fetch.ts:88

Optional reconnection configuration